"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const implementation_1 = require("../text/renderer/implementation");
const themes_1 = require("./theme/themes");
const mods_1 = require("./theme/themes/mods");
/**
 * Base settings, that is used as aa fallback when assigning partial options
 * Type of settings is `oneshotPrintTreeSettingsT` beacause it's a widest case,
 * and all other `.print()` and `.stringify()` (both oneshot-static and constructed instance)
 * will consume 'oneshotPrintTreeSettingsT' as thier base level as well
 *
 * @export
 * @constant {printTreeOptionsT} defaultSettings
 */
exports.defaultSettings = {
    renderer: new implementation_1.AutodetectRenderer(),
    logLineCallback: (line) => { console.log(line); },
    maxLevel: 6,
    maxItemsPerLevel: [30, 10],
    maxLineWidth: 80,
    themeStack: [themes_1.defaultTheme, mods_1.noSimplestIcon],
};
//# sourceMappingURL=defaultSettings.js.map